document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_5400
--- +++ @@ -3,7 +3,8 @@ set -o errexit out=$(mktemp) trap "rm -f $out" EXIT -java -jar "$1" - > $out +# Only lets programs run for 30 seconds +timeout 30 java -jar "$1" - > $out printf '\377' # 255 in octal cat $out
bash
d_bash_5401
--- +++ @@ -1,5 +1,44 @@ +################################################################################## +# +# New Start: A modern Arch workflow built with an emphasis on functionality. +# Copyright (C) 2017 Donovan Glover +# +# This program is free software: you can redistribute it and/or modify +# i...
bash
d_bash_5402
--- +++ @@ -2,7 +2,7 @@ SOURCE_DIR=$1 BUILD_DIR="${SOURCE_DIR}/.build-tests.ignore" -mkdir $BUILD_DIR && cd $BUILD_DIR +mkdir -p $BUILD_DIR && cd $BUILD_DIR cmake $SOURCE_DIR -DCMAKE_BUILD_TYPE=Release make all > /dev/null make test
bash
d_bash_5403
--- +++ @@ -2,6 +2,9 @@ # Search plugins extractor # * Extract searchplugins from Firefox profile directory + +set -o nounset +set -o errexit FXPROFILE=${USERPROFILE//\\/\/}/AppData/Roaming/Mozilla/Firefox/Profiles PLUGEXT=*.xml
bash
d_bash_5404
--- +++ @@ -22,7 +22,7 @@ # Be verbose. set -vx -docker build --squash -t ${hubUserRepo}:jessie -f Dockerfile-Jessie . > /tmp/build-jessie.log 2>&1 +docker build --squash -t ${hubUserRepo}:jessie -t ${hubUserRepo}:latest -f Dockerfile-Jessie . > /tmp/build-jessie.log 2>&1 docker push ${hubUserRepo}:jessie doc...
bash
d_bash_5405
--- +++ @@ -8,3 +8,4 @@ ln -sf ~/dotfiles/.vim/.vimrc ~/.vimrc ln -sf ~/dotfiles/.emacs.d ~/.emacs.d ln -sf ~/dotfiles/.gitconfig ~/.gitconfig +ln -sf ~/dotfiles/.peco/config.json ~/.config/peco/config.json
bash
d_bash_5406
--- +++ @@ -8,5 +8,11 @@ # SCRIPTPATH = zf2_app/module/DzTask/script SCRIPTPATH=$( cd "$(dirname "$0")" ; pwd -P ) cd $SCRIPTPATH/.. -../../vendor/bin/phpspec run -../../vendor/bin/codecept run + +if [ $# -eq 0 ]; then + ../../vendor/bin/phpspec run + ../../vendor/bin/codecept run +fi; + +if [ "$1" = "spec" ...
bash
d_bash_5407
--- +++ @@ -2,9 +2,6 @@ set -e -# Swiftlint -brew install swiftlint - # Update all external dependencies pod repo update pod install
bash
d_bash_5408
--- +++ @@ -3,7 +3,7 @@ DDS=zones/${UUID}/data if zfs list ${DDS} 1>/dev/null 2>&1; then - zfs create ${DDS}/etc_ircd + zfs create ${DDS}/etc_ircd || true zfs set mountpoint=/opt/local/etc/ircd ${DDS}/etc_ircd chown ircd:ircd /opt/local/etc/ircd || true fi
bash
d_bash_5409
--- +++ @@ -29,5 +29,6 @@ systemctl enable $service || echo "service $service failed" systemctl restart $service || echo "service $service failed to restart" done + echo "running \"sudo adduser vagrant cilium\" " + sudo adduser vagrant cilium fi -sudo adduser vagrant cilium
bash
d_bash_5410
--- +++ @@ -4,6 +4,8 @@ LOG="/tmp/nanolog" mkdir -p $LOG + +rm -f $LOG/*.log luajit ../src/record.lua > "$LOG/battle.nnb" 2> /dev/null & echo $! > record.pid @@ -17,7 +19,7 @@ for i in `seq 1 $N` do read bot - luajit "bot_$bot.lua" $i 2> "$LOG/bot$i.log" & + luajit "bot_$bot.lua" "$bot:$i" 2> "$L...
bash
d_bash_5411
--- +++ @@ -33,3 +33,6 @@ alias movies='cd /mnt/media/movies/todo && nautilus . && cd -' alias series='cd /mnt/media/series && nautilus . && cd -' + +# TODO: Add for merging PDFs +# gs -dBATCH -dNOPAUSE -q -sDEVICE=pdfwrite -sOutputFile=finished.pdf file1.pdf file2.pdf
bash
d_bash_5412
--- +++ @@ -1,5 +1,6 @@ #!/bin/bash BASE=`dirname $0` +pushd $BASE NIC="eth0" name="dnsmasq" export MY_IP=$(ifconfig $NIC | grep 'inet addr:'| grep -v '127.0.0.1' | cut -d: -f2 | awk '{ print $1}') @@ -23,3 +24,4 @@ echo "${C_IP} ${NODE} ${NODE}.calavera.biz" >> dnsmasq.hosts/calavera docker kill -s HU...
bash
d_bash_5413
--- +++ @@ -1,5 +1,10 @@ #!/bin/bash . tests/bot-ci/scripts/common/main.sh + +: ${USER:=`id -un`} +: ${HOME:=`getent passwd $USER | cut -d: -f6`} + +export USER HOME FAILED=0
bash
d_bash_5414
--- +++ @@ -1,3 +1,17 @@ function gh() { - open "https://$(git config remote.origin.url | sed 's/\.git//' | sed 's/https:\/\///' | sed 's/git:\/\///' | sed 's/git@//' | tr ':' '/')" + local PROJECT="https://$(git config remote.origin.url | sed 's/\.git//' | sed 's/https:\/\///' | sed 's/git:\/\///' | sed 's/git@//...
bash
d_bash_5415
--- +++ @@ -1,7 +1,13 @@ #!/usr/bin/env bash +readonly ADMIN_KEY=id_rsa.pub readonly SCRIPT_PATH="${BASH_SOURCE[0]}" readonly DIR_PATH="${SCRIPT_PATH%/*}" + +if [[ ! -e "${DIR_PATH}/${ADMIN_KEY}" ]]; then + echo "Please provide the admin key ${ADMIN_KEY} in ${DIR_PATH}." + exit 1 +fi pushd "${DIR_PATH}"...
bash
d_bash_5416
--- +++ @@ -1,9 +1,13 @@ export LSCOLORS="exfxcxdxbxegedabagacad" export CLICOLOR=true -fpath=($ZSH/functions $fpath) +# Check if the functions directory exists +if [[ -d $ZSH/functions ]] +then + fpath=($ZSH/functions $fpath) -autoload -U $ZSH/functions/*(:t) + autoload -U $ZSH/functions/*(:t) +fi HISTFIL...
bash
d_bash_5417
--- +++ @@ -10,11 +10,7 @@ npm config set sign-git-tag true node_modules+=('bower@^1.8.0') -node_modules+=('brunch@^2.8.2') -node_modules+=('ember-cli@^2.7.0') node_modules+=('gh-home@^1.4.1') -node_modules+=('grunt-cli@^1.2.0') -node_modules+=('gulp-cli@^1.2.2') node_modules+=('jsctags@^5.0.1') node_modules+=...
bash
d_bash_5418
--- +++ @@ -1,7 +1,7 @@ #!/bin/sh -java -jar target/dropwizard-example-1.0.0-SNAPSHOT.jar db migrate example.yml & +java -jar /target/dropwizard-example-1.0.0-SNAPSHOT.jar db migrate /target/example.yml & sleep 5 -java -jar target/dropwizard-example-1.0.0-SNAPSHOT.jar server example.yml +java -jar /target/dropwiz...
bash
d_bash_5419
--- +++ @@ -1,6 +1,7 @@ #!/bin/bash -echo Uadmin +#echo Uadmin -cp=".:../lib/*" -java -cp $cp com.dobrunov.zktreeutil.zkTreeUtilMain $@ +DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" +cp="$DIR/../lib/*" +java -cp "$cp" com.dobrunov.zktreeutil.zkTreeUtilMain $@
bash
d_bash_5420
--- +++ @@ -47,5 +47,6 @@ export https_proxy=$proxy_url export HTTPS_PROXY=$proxy_url - echo "\nNow using $proxy_server." + echo + echo "Now using proxy server $proxy_server. Run yaprox -c when done to unset." }
bash
d_bash_5421
--- +++ @@ -6,7 +6,7 @@ ########################################################################### -CONSUL_VER="1.5.0" +CONSUL_VER="1.5.1" UNAME=$(uname -s | tr '[:upper:]' '[:lower:]') CONSUL_ZIP="consul_${CONSUL_VER}_${UNAME}_amd64.zip" IGNORE_CERTS="${IGNORE_CERTS:-no}"
bash
d_bash_5422
--- +++ @@ -11,7 +11,7 @@ fi done popd > /dev/null -for f in $(ls ~/$node_type/); do echo -n $f ; echo -n " "; cat ~/$node_type/$f | jq '.inventory.disks' | grep root_disk -A 11 | grep wwn | head -1 | awk {'print $2'} | sed -e s/,//g -e s/\"//g; done > ~/uuid_to_wwn-${node_type} +for f in $(ls ~/$node_type/);...
bash
d_bash_5423
--- +++ @@ -4,7 +4,12 @@ # If we find it, we can pip install those. if [ -f "/pvw/requirements.txt" ] then - pip install -r "/pvw/requirements.txt" + if [ -z "${SYSTEM_PYTHON_PIP}" ]; then + PIP_CMD=pip + else + PIP_CMD="${!SYSTEM_PYTHON_PIP}" + fi + "${PIP_CMD}" install -r "/pvw/requirements.txt" fi ...
bash
d_bash_5424
--- +++ @@ -3,3 +3,21 @@ mkdir -p ~/repo/neovim-image/ curl -L https://github.com/neovim/neovim/releases/download/nightly/nvim.appimage > ~/repo/neovim-image/nvim.appimage chmod +x ~/repo/neovim-image/nvim.appimage + +# Necessary for coc.nvim plugin +if ! [ -x "$(command -v nodejs)" ]; then + sudo apt-get insta...
bash
d_bash_5425
--- +++ @@ -6,5 +6,7 @@ --app ftl-tests/dummy.apk \ --test build/outputs/apk/androidTest/debug/kotlin-extensions-debug-androidTest.apk \ --device model=Nexus6P,version=27,locale=en_US,orientation=portrait \ - --timeout 20m \ - --results-bucket cloud-test-android-devrel-ci + --timeout 30m \ + ...
bash
d_bash_5426
--- +++ @@ -13,7 +13,7 @@ echo "Updated asdf to latest on the master branch" else # Update to latest release - git fetch --tags || exit 1 + git fetch origin --tags || exit 1 tag=$(git tag | sort_versions | sed '$!d') || exit 1 # Update
bash
d_bash_5427
--- +++ @@ -17,5 +17,6 @@ alias sf='php app/console' alias sfcl='php app/console cache:clear' alias sfroute='php app/console router:debug' +alias sfcontainer='php app/console container:debug' alias sfgb='php app/console generate:bundle'
bash
d_bash_5428
--- +++ @@ -5,7 +5,7 @@ then # Create postgres data directory mkdir -p /var/lib/postgresql/9.4/main - chown postgres:postgres /var/lib/postgresql/9.4/main + chown -R postgres:postgres /var/lib/postgresql/ /sbin/setuser postgres /usr/lib/postgresql/9.4/bin/initdb /var/lib/postgresql/9.4/main/ ...
bash
d_bash_5429
--- +++ @@ -1,4 +1,5 @@ #!/bin/bash +# wget https://raw.githubusercontent.com/joshsziegler/dotfiles/master/setup-ag-dev-container.sh && chmod +x setup-ag-dev-container.sh && ./setup-ag-dev-container.sh set -e # Stop execution if a command errors set -x # Echo commands and expand any variables
bash
d_bash_5430
--- +++ @@ -4,8 +4,8 @@ cd git/re2 bazel clean -bazel build --compilation_mode=dbg -- //... -bazel test --compilation_mode=dbg --test_output=errors -- //... \ +bazel build --compilation_mode=dbg -- //:all +bazel test --compilation_mode=dbg --test_output=errors -- //:all \ -//:dfa_test \ -//:exhaustive1_te...
bash
d_bash_5431
--- +++ @@ -1,10 +1,10 @@ #!/usr/bin/env bash set -e -BLOSC=c-blosc-1.13.1 +BLOSC=c-blosc-1.14.2 # check to see if blosc folder is empty if [ ! -d "$HOME/${BLOSC}/lib" ]; then - curl --output ${BLOSC}.tar.gz -L https://codeload.github.com/Blosc/c-blosc/tar.gz/v1.13.1; + curl --output ${BLOSC}.tar.gz -L https:...
bash
d_bash_5432
--- +++ @@ -13,7 +13,7 @@ do echo -- $line | cut -d^ -f1 output=`echo $line | cut -d^ -f2` - test -n "$cap" && echo $output | eval $cap || echo $output + test -n "$cap" && echo $output | tr -d '\n' | eval $cap || echo $output echo ' Press ENTER to continue...' read enter </dev/tty done
bash
d_bash_5433
--- +++ @@ -8,4 +8,4 @@ alias clb='git branch | grep -ve " master$" | xargs git branch -d' # Remove `+` and `-` from start of diff lines; just rely upon color. -alias diff='git diff --color | sed "s/^\([^-+ ]*\)[-+ ]/\\1/" | less -r' +alias diff='git diff --color | sed "s/^\([^-+ ]*\)[-+ ]/\\1/"'
bash
d_bash_5434
--- +++ @@ -27,7 +27,7 @@ eval ${talk2docker} host switch vagrant elif command -v boot2docker > /dev/null; then boot2docker up - VBoxManage controlvm "boot2docker-vm" natpf1 "tcp8000,tcp,,8000,,8000"; + VBoxManage controlvm "boot2docker-vm" natpf1 "tcp8000,tcp,,8000,,8000" eval ${talk2docker} host switch ...
bash
d_bash_5435
--- +++ @@ -9,7 +9,13 @@ true) opam repository add cumulus https://github.com/Cumulus/opam-cumulus.git;; false) - opam repository add cumulus https://github.com/Cumulus/opam-cumulus.git#ocsigenserver-3.0.0;; + git clone https://github.com/ocsigen/ocsigenserver.git#3.0.0-cohttp + ...
bash
d_bash_5436
--- +++ @@ -1,4 +1,6 @@ #!/bin/bash + +# TODO: Run all tests before deciding to return zero / non-zero exit code. testProjects=`ls -d1 ./test/*.Tests` for testProject in $testProjects; do
bash
d_bash_5437
--- +++ @@ -2,13 +2,11 @@ # Make presentation pandoc src/presentation.md \ --to revealjs \ - --no-highlight \ --variable revealjs-url="revealjs" \ --variable slideNumber="\"c/t\"" \ --variable transition="none" \ --variable controls="false" \ --variable history="true" \ - --variable hlss=zenburn...
bash
d_bash_5438
--- +++ @@ -2,6 +2,7 @@ : "${PROJECT_DIR:=/project}" : "${GITMAN_CACHE:=/tmp}" +: "${FIX_PERMISSIONS:=1}" isCommand() { case "$1" in @@ -26,8 +27,6 @@ fi fi - set -x - # check if the first argument passed in looks like a flag if [ "$(printf %c "$1")" = '-' ]; then set...
bash
d_bash_5439
--- +++ @@ -13,13 +13,6 @@ NETBIOS=DOM`echo $1 | cut -d- -f2` fi -# Check is hostname was properly set up during IPA installation -if [[ `hostname | grep tbad` == '' ]] -then - echo "The hostname is not properly set for auto trust installation." - exit 1 -fi - # Obtain admin credentials echo $PASSWORD | kin...
bash
d_bash_5440
--- +++ @@ -7,7 +7,7 @@ export JAVA_8_HOME=~/opt/java/1.8 export JAVA_7_HOME=~/opt/java/1.7 -export IDEA_JDK=$JAVA_8_HOME +#export IDEA_JDK=$JAVA_8_HOME export JAVA_HOME=$JAVA_8_HOME export PATH=${JAVA_HOME}/bin:${PATH}
bash
d_bash_5441
--- +++ @@ -4,7 +4,7 @@ log=./bat.log function log { - echo "$1" > $log + echo "$1" >> "$log" } function pid {
bash
d_bash_5442
--- +++ @@ -6,6 +6,9 @@ # if [[ -d $HOME/Developer/sdk/kubernetes ]]; then + # kubectl is installable via homebrew as well if you don't need the full + # kubernetes download. However first check for the full kubernetes install + # to see if a specific version is installed. This one will take precedence. if ...
bash
d_bash_5443
--- +++ @@ -16,10 +16,10 @@ export PDB_TEST_DB_PORT="$pgport" # For now, just conflate the normal test and admin users. -export PDB_TEST_DB_USER=pdb_test -export PDB_TEST_DB_ADMIN=pdb_test_admin -export PDB_TEST_DB_USER_PASSWORD=optuwaeg6ujzo -export PDB_TEST_DB_ADMIN_PASSWORD=daroniwu54ot +export PDB_TEST_DB_USE...
bash
d_bash_5444
--- +++ @@ -4,4 +4,4 @@ popd bundle install -bundle exec maze-runner --farm=local --browser=chrome features/desktop +bundle exec maze-runner --farm=local --browser=firefox features/desktop
bash
d_bash_5445
--- +++ @@ -1,2 +1,4 @@ mono paket.bootstrapper.exe mono paket.exe install +chmod +x packages/FsLexYacc/bin/fslex.exe +chmod +x packages/FsLexYacc/bin/fsyacc.exe
bash
d_bash_5446
--- +++ @@ -2,6 +2,7 @@ # need to install node first to be able to install yarn (as at prebuild no node is present yet) curl -o- https://raw.githubusercontent.com/nvm-sh/nvm/v0.34.0/install.sh | bash +export NVM_DIR="$HOME/.nvm" nvm install 15 # install
bash
d_bash_5447
--- +++ @@ -18,8 +18,8 @@ -nodeConfig ./libs/selenium/nodeConfig.json \ -port 5554 & -git clone git@github.com:cardforcoin/shale.git -cd shale +git clone git@github.com:cardforcoin/shale.git shale-clojure +cd shale-clojure lein uberjar JAR_FILE=$(ls target | grep -i shale | grep standalone | head -1)
bash
d_bash_5448
--- +++ @@ -8,4 +8,4 @@ # $ ./deploy.sh another.server.com host=${1:-yimgo.fr} -ssh pie@$host "cd PIE; git pull; make -C src/md2pdf; cd src/front; killall node; npm install ; bower install ; grunt build ; cd ../back ; node init-db.js ; node update-db.js ; npm install ; (nohup npm start > server.js.out 2> server.j...
bash
d_bash_5449
--- +++ @@ -17,7 +17,7 @@ echo Creating $tempDir/grantlee-$version.tar.gz -git archive --format=tar --prefix=grantlee-$version/ HEAD | gzip > $tempDir/grantlee-$version.tar.gz +git archive --format=tar --prefix=grantlee-$version/ v_$version | gzip > $tempDir/grantlee-$version.tar.gz echo Unpacking to $tempDir...
bash
d_bash_5450
--- +++ @@ -5,5 +5,5 @@ # -P to not tweak the PYTHONPATH to include .. # Use "-e" to exclude tests, using a regular expression# -nosetests -v --exe -P +nosetests -v --exe -P $*
bash
d_bash_5451
--- +++ @@ -9,22 +9,6 @@ echo Building Analyzer -echo Configuring Old ABI Analyzer -mkdir -p asm -pushd asm -emconfigure ../configure --disable-multithread --disable-runtime-cpu-detect --target=generic-gnu --enable-accounting --disable-docs --disable-webm-io --extra-cflags="-D_POSIX_SOURCE" $BUILD_OPTIONS -emmak...
bash
d_bash_5452
--- +++ @@ -11,4 +11,4 @@ echo "Updating requirements..." pipenv --three install || exit 1; echo "Starting Jokusoramame." -pipenv run python3.6 run.py config.yml +pipenv run python3 run.py config.yml
bash
d_bash_5453
--- +++ @@ -4,8 +4,25 @@ # which generates and builds the Bio-Formats C++ bindings. cd "$(dirname "$0")"/.. + +# find Maven v2 executable +VER=`mvn -v | head -1 | sed -e 's/Apache Maven //' | sed 's/\..*//'` +if [ "$VER" == "2" ] +then + MVN="mvn" +else + VER=`mvn2 -v | head -1 | sed -e 's/Apache Mav...
bash
d_bash_5454
--- +++ @@ -5,5 +5,5 @@ # for 12.04 gconftool-2 -s -t bool /apps/metacity/general/resize_with_right_button true # and for 12.10/13.04 -gsettings set org.gnome.desktop.wm.preferences resize-with-right-button true +[[ -x gsettings ]] && gsettings set org.gnome.desktop.wm.preferences resize-with-right-button true
bash
d_bash_5455
--- +++ @@ -16,8 +16,14 @@ exit 1; }; -sudo su - postgres -c "psql -d '$TESTING_DATABASE' -p '$TESTING_PORT' -c 'DROP EXTENSION IF EXISTS aggs_for_arrays'" -sudo su - postgres -c "psql -d '$TESTING_DATABASE' -p '$TESTING_PORT' -c 'CREATE EXTENSION aggs_for_arrays'" +if awk -F: '{ print $1 }' /etc/passwd | egrep...
bash
d_bash_5456
--- +++ @@ -1,3 +1,4 @@ export EDITOR='vim' export PATH="$HOME/bin:$HOME/.bin:$/HOME/.vim/bin:/usr/local/homebrew/bin:/usr/local/bin:/usr/local/git/libexec/git-core:/usr/local/sbin:/usr/local/mysql/bin:$PATH" export MANPATH="/usr/local/man:/usr/local/mysql/man:/usr/local/git/man:$MANPATH" +export export PYTHONPATH...
bash
d_bash_5457
--- +++ @@ -1,2 +1,2 @@ #!/bin/bash -CC=avr-gcc CXX=avr-c++ LINK="-mmcu=atmega128 -Wl,-gc-sections" COMP="-O2 -ggdb -Wa,-mmcu=atmega128 -mmcu=atmega128 -ffunction-sections -fdata-sections" cmake -DCMAKE_SYSTEM_NAME=Generic -DARCH=AVR -DWORD=8 -DOPSYS=NONE -DSEED=LIBC -DSHLIB=OFF -DSTBIN=ON -DTIMER=NONE -DWITH="DV;M...
bash
d_bash_5458
--- +++ @@ -1,6 +1,10 @@ #!/bin/bash -x set -e + +sudo apt-get update -qq +sudo apt-get install -qq --force-yes docker + docker pull ubuntu:$UBUNTU docker run -d -i --name fruit --privileged ubuntu:$UBUNTU
bash
d_bash_5459
--- +++ @@ -26,7 +26,7 @@ cp modules/${VERSION} ${LIBRARIES_MODULES}/${NAME} echo "Checking gsl program" -module add gsl +module add gsl/${VERSION} module list echo ${CPATH} ls -lht ${CPATH}/gsl
bash
d_bash_5460
--- +++ @@ -22,6 +22,3 @@ # Install fpm sudo apt-get install -y ruby-dev gcc sudo gem install fpm --no-ri --no-rdoc - -cd /vagrant/ -sudo pip3 install -e .
bash
d_bash_5461
--- +++ @@ -7,3 +7,6 @@ trimhivejson() { trimfirstandlast $@ | trimjson } +wrapquote() { + sed 's/^/"/;s/$/"/' $@ +}
bash
d_bash_5462
--- +++ @@ -1,13 +1,29 @@ #!/usr/bin/env bash + set -eo pipefail +if [ "$TRAVIS_PULL_REQUEST" == 'false' ]; then + echo 'This is a pull request. Skipping deployment.' + exit 0 +fi + +if [ "$TRAVIS_PULL_REQUEST" != 'master' ]; then + echo "This is branch $TRAVIS_BRANCH, not master. Skipping deployment." + exit...
bash
d_bash_5463
--- +++ @@ -10,9 +10,9 @@ # Check for existing dotfiles, bail if found - if [[ -d ${HOME}/.dotfiles ]]; then echo "Dotfiles are already installed for ${USER}@$(hostname)" + exit 1 fi # Clone repo to $HOME/tmp
bash
d_bash_5464
--- +++ @@ -2,13 +2,18 @@ function main { #DIR_NAME="$(dirname $(dirname $0))" - local cli_jar="$PWD/target/swamp-cli-jar-with-dependencies.jar" + + if [ -n "$SWAMP_CLI_JAR" ] ; then + local cli_jar="$SWAMP_CLI_JAR" + else + local cli_jar="$PWD/target/swamp-cli-jar-with-dependencies.jar" + fi ...
bash
d_bash_5465
--- +++ @@ -4,7 +4,7 @@ # This is used to start and build services for running e2e tests set -e -MINISHIFT_ENABLE_EXPERIMENTAL=y minishift start --service-catalog \ +MINISHIFT_ENABLE_EXPERIMENTAL=y minishift start --extra-clusterup-flags "--service-catalog" \ || { echo 'Cannot start shift.'; exit 1; } eva...
bash
d_bash_5466
--- +++ @@ -1,3 +1,3 @@ #!/bin/bash -exec sudo /usr/bin/chef-client -c /etc/chef/client.rb -z -r "webapp::default" +exec sudo /usr/bin/chef-client --no-color -c /etc/chef/client.rb -z -r "webapp::default"
bash
d_bash_5467
--- +++ @@ -1,2 +1,2 @@ # The next line updates PATH for the Google Cloud SDK. -export CLOUDSDK_HOME="${HOME}/Applications/google-cloud-sdk" +export CLOUDSDK_HOME="/usr/local/Caskroom/google-cloud-sdk/latest/google-cloud-sdk"
bash
d_bash_5468
--- +++ @@ -6,12 +6,15 @@ _koopa_is_installed conda || return -# Skip on macOS, where we can use Homebrew instead. -_koopa_is_linux || return - # Early return if local conda environments aren't configured. prefix="$(_koopa_conda_prefix)" -[ -d "$prefix" ] || return + +# Early return if conda local environment ...
bash
d_bash_5469
--- +++ @@ -1,5 +1,5 @@ #!/bin/sh -# $Id: extract_bin.sh,v 1.3 1995/01/28 09:11:32 jkh Exp $ +# $Id: extract_bin.sh,v 1.4 1995/03/28 18:14:10 phk Exp $ PATH=/stand:$PATH DDIR=/ @@ -7,21 +7,7 @@ if [ -f $DDIR/etc/sysconfig ]; then mv $DDIR/etc/sysconfig $DDIR/etc/sysconfig.save fi -if [ -f $DDIR/etc/myname ];...
bash
d_bash_5470
--- +++ @@ -12,13 +12,17 @@ healthcheck_port () { process=$1 + + # ss truncate command name to 15 characters and this behaviour + # cannot be diabled + if [ ${#process} -gt 15 ] ; then + process=${process:0:15} + fi + shift 1 - - port_args=() - for arg in "$@"; do - port_args+=("-i" "tcp:${arg}")...
bash
d_bash_5471
--- +++ @@ -1,12 +1,12 @@ #!/usr/bin/env bash # shellcheck disable=SC2034 -test_description="Test generate IDE stubs with `use` block" +test_description="Test generate IDE stubs with proper namespace imports" source ./setup.sh # See: https://github.com/phalcon/zephir/issues/1778 -test_expect_success "Should...
bash
d_bash_5472
--- +++ @@ -28,7 +28,7 @@ echo Generating $OUTPUT echo "//+build linux darwin" > $OUTPUT echo >> $OUTPUT -cat $1 | $GOPATH/bin/2goarray iconData main >> $OUTPUT +cat "$1" | $GOPATH/bin/2goarray iconData main >> $OUTPUT if [ $? -ne 0 ]; then echo Failure generating $OUTPUT exit
bash
d_bash_5473
--- +++ @@ -1,11 +1,6 @@ #!/usr/bin/env bash # build the docker containers docker-compose build - -# allows polling the installation process -rm docker/.INSTALLING 2> /dev/null -touch docker/.INSTALLING -chmod 777 docker/.INSTALLING # for documentation mkdir -p docs/html
bash
d_bash_5474
--- +++ @@ -3,7 +3,7 @@ if [[ -n "$1" ]]; then RESET_COMMIT=$1 else - RESET_COMMIT="f2cfe46245ef67f35302e79b0d9c4993011d082c" + RESET_COMMIT="fa9c40b451b1ec60c6676210c69371c2090d595c" fi set -x git pull origin
bash
d_bash_5475
--- +++ @@ -1,6 +1,7 @@ #!/bin/bash +BASEDIR=$(dirname $0) echo 'Installing Driver...' -sudo cp -R heimdall.kext /System/Library/Extensions +sudo cp -R "$BASEDIR/heimdall.kext" /System/Library/Extensions sudo chmod -R 755 /System/Library/Extensions/heimdall.kext sudo chown -R root:wheel /System/Library/Extensions...
bash
d_bash_5476
--- +++ @@ -16,7 +16,17 @@ for lang in ${RM_LANG[*]} do echo "Remove language $lang" + + # Remove the files rm -f "ace/mode-$lang.js" "ace/snippets/$lang.js" "ace/worker-$lang.js" + + # Remove any references in ext-modelist + + # Remove extension mapping + perl -C -e 'use utf8;' -i -pe "s/,?${...
bash
d_bash_5477
--- +++ @@ -1,10 +1,11 @@ #!/bin/bash -python 0-meter.py ci/ping.xml +python 0-meter.py ci/ping_bad.xml if [ $? -eq 0 ] then exit 1 else + echo "Test Passed" exit 0 fi
bash
d_bash_5478
--- +++ @@ -1,8 +1,8 @@ #!/bin/sh sudo su -# install some build tools and the Broadcom WiFi driver for MacBooks -apt-get install build-essential autoconf autogen libtool flex bison bcmwl-kernel-source +# install some build tools +apt-get install build-essential autoconf autogen libtool flex bison # install uni...
bash
d_bash_5479
--- +++ @@ -5,6 +5,7 @@ exit fi sudo apt-get install --assume-yes puppet git make +ssh-keyscan github.com >> ~/.ssh/known_hosts git clone git@github.com:istvan-antal/content-creator.git cd content-creator make
bash
d_bash_5480
--- +++ @@ -18,4 +18,4 @@ fi fi source ~/.venv/bin/activate -tox -e "$TOX_ENV" -- $TOX_FLAGS +tox -e $TOX_ENV -- $TOX_FLAGS
bash
d_bash_5481
--- +++ @@ -5,9 +5,9 @@ local username=$2 local password=$3 test -x $FLY || { - echo "Fetching fly..."; - curl -SsL -u "$username:$password" "$url/api/v1/cli?arch=amd64&platform=linux" > $FLY; - chmod +x $FLY; + echo "Fetching fly..." + curl -L -u "$username:$password" "$url/api/v1/cli?arch=am...
bash
d_bash_5482
--- +++ @@ -15,14 +15,12 @@ export GIT_SVN_DIR="$TOP_LEVEL_DIR/llvm-project/llvm/utils/git-svn/" export PATH=$PATH:$GIT_SVN_DIR - -# Clone +# Clone the official repository. git clone https://github.com/llvm/llvm-project -# Configure repo +# Configure repository. cd llvm-project || exit 1 git config branch.ma...
bash
d_bash_5483
--- +++ @@ -8,7 +8,7 @@ docker run -d --name data-container -v /data busybox true # now let's really let 'em have it -for i in {0..$1}; do +for i in $(seq 0 $1); do docker run -d --link redis1:redis1 redis docker run -d --link redis1:redis1 --link redis2:redis2 redis docker run -d --link redis2:r...
bash
d_bash_5484
--- +++ @@ -7,4 +7,4 @@ exit 1 fi -docker run --link $id:db -v $(pwd)/src:/code -p 8000:8000 -t -i django_web python /code/manage.py runserver 0.0.0.0:8000 +docker run --link $id:db -v "$(pwd)"/src:/code -p 8000:8000 -t -i django_web python /code/manage.py runserver 0.0.0.0:8000
bash
d_bash_5485
--- +++ @@ -1,10 +1,10 @@ pkg_origin=core pkg_name=artifactory-pro -pkg_version=4.8.1 +pkg_version=4.14.3 pkg_maintainer="The Habitat Maintainers <humans@habitat.sh>" pkg_license=("JFrog Artifactory EULA") pkg_source=https://dl.bintray.com/jfrog/${pkg_name}/org/artifactory/pro/jfrog-${pkg_name}/${pkg_version}/jf...
bash
d_bash_5486
--- +++ @@ -15,7 +15,7 @@ minor=${minor_patch%%.*} patch=${minor_patch#$minor.} # We just need to find a fitting header line - grep -q "### Version $major.$minor" CHANGES.md + grep -Eq "^### Version ${major}.${minor}$" CHANGES.md } version="$(determine_new_version)"
bash
d_bash_5487
--- +++ @@ -1,7 +1,9 @@ #!/bin/sh - +echo $PATH if [ -r ./env.sh ]; then . ./env.sh + echo 'env.sh found' fi export PATH=$(echo $PATH | sed 's/8/7/g') +echo $PATH mvn -s settings.xml clean install -Dsolutions.codechecking.phase=verify
bash
d_bash_5488
--- +++ @@ -1,4 +1,7 @@ #!/usr/bin/env bash +export NVM_DIR="${HOME}/.nvm" +# shellcheck source=/home/chrisl8/.nvm/nvm.sh +[ -s "$NVM_DIR/nvm.sh" ] && . "$NVM_DIR/nvm.sh" # This loads nvm # Grab and save the path to this script # http://stackoverflow.com/a/246128 @@ -11,14 +14,11 @@ SCRIPTDIR="$(cd -P "$(dirnam...
bash
d_bash_5489
--- +++ @@ -26,7 +26,7 @@ echo $1 |awk '{split($0,a,"."); printf "%d.%d.%d.%d",a[4],a[3],a[2],a[1]}' } -# Test if an IP is on the zen.spamhaus.org blacklist +# Test if an IP is on the zen.spamhaus.org blacklist using an OpenDNS server function zen() { - dig +short $(iprev $1).zen.spamhaus.org + dig +short $(ipr...
bash
d_bash_5490
--- +++ @@ -1,14 +1,19 @@ ## Load smart urls if available -for d in $fpath; do - if [[ -e "$d/url-quote-magic" ]]; then - if [[ -e "$d/bracketed-paste-magic" ]]; then - autoload -Uz bracketed-paste-magic - zle -N bracketed-paste bracketed-paste-magic - fi - autoload -U url-quote-magic - zle -N self-insert ur...
bash
d_bash_5491
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -for i in $(find -name "[0-9]*.sh" | xargs basename -n1 | sort -n) +for i in $(find -name "[0-9]*.sh" | xargs -n 1 basename | sort -n) do date +"[%Y-%m-%dT%H:%M:%S] Started script '$i'" | tee --append run.log ./"$i" 2> "$i".err | tee "$i".log
bash
d_bash_5492
--- +++ @@ -10,7 +10,7 @@ sudo service zotonic stop sudo -u postgres psql -c "drop database $DB" -sudo -u postgres psql -c "create database $DB" +sudo -u postgres psql -c "create database $DB ENCODING 'UTF8' TEMPLATE template0" sudo -u postgres psql ginger -c "CREATE SCHEMA $SCHEMA" sudo -u postgres psql ginger...
bash
d_bash_5493
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -if [ ! -d binaries ]; then +if [ ! -d binaries/Jeopardy.app ]; then ./build_macapp.sh fi @@ -21,3 +21,4 @@ fi hdiutil create binaries/Jeopardy_latest.dmg -srcfolder binaries/Jeopardy +rm -r binaries/Jeopardy
bash
d_bash_5494
--- +++ @@ -13,6 +13,10 @@ # Filter to run sub tests and turn up verbosity to show which tests will be run if [[ -n "${sub_tests}" ]]; then gotest_flags+=" -run TestIntegration/${sub_tests} -v" + COVERAGE_SPEC=" " DETECT_RACES=false TMPDIR="${BASETMPDIR}" TIMEOUT=45m GOTEST_FLAGS="${gotest_flags}" "${OS_ROOT}/ha...
bash
d_bash_5495
--- +++ @@ -10,8 +10,19 @@ if [ -f $HOME/Qt5.3.2/5.3/clang_64/bin/qhelpgenerator ] then - # generate the html documentation in a temporary folder next to the git folder - /Applications/Doxygen.app/Contents/Resources/doxygen doc/html.doxygen + # On the Mac OS X platform + if [ "$(uname)" == "Darwin" ] + then ...
bash
d_bash_5496
--- +++ @@ -2,6 +2,9 @@ git checkout master && git fetch && git pull origin master } +## Custom history command +h() { if [ -z "$*" ]; then history 1; else history 1 | egrep "$@"; fi; } + +alias hist='h' alias reload!='. ~/.zshrc' -
bash
d_bash_5497
--- +++ @@ -10,6 +10,7 @@ if echo $LABEL | grep ubuntu; then OS=Ubuntu; fi if echo $LABEL | grep CentOS; then OS=el5; fi if echo $LABEL | grep RedHat; then OS=el6; fi +if echo $LABEL | grep fedora; then OS=fc10; fi if ! uname -a | grep $OS; then echo "wrong operating system running on $HOSTNAME"
bash
d_bash_5498
--- +++ @@ -1,5 +1,7 @@ #!/bin/zsh set -e + +mkdir -p ~/Library/Application\ Support/Alfred/Alfred.alfredpreferences/preferences dirs=(appearence features)
bash
d_bash_5499
--- +++ @@ -11,7 +11,15 @@ local cur prev opts COMPREPLY=() cur="${COMP_WORDS[COMP_CWORD]}" - opts=`hop print_raw_task_list` + + # capture both stdout and stderr + opts=`hop print_raw_task_list 2>&1` + + # if exit code for `hop` is not 0, then return an error + # probably not in a directory with tool/ho...
bash